/'
   Copyright (c)2022 vasile eodor nastasa
   rqwork7.com, rqwork.de, rqwork.ro
   nastasa.eodor@gmail.com
'/

#include once "gui.bas"
#include once "comctrls.bas"
#include once "C:\Users\nasta\OneDrive\Desktop\QDummy.bas"
#include once "C:\Users\nasta\OneDrive\Desktop\Qx.bas"

function pack_version as zstring ptr export
    dim as zstring ptr result=callocate(22)
    *result="Version 1.0 (RqWork7)"
    return result
end function

function pack_register as zstring ptr export
    dim as zstring ptr s=callocate(len(*menus.RegisterComponents+chr(10)+*Standards.RegisterComponents+chr(10)+*Dummy.Register+chr(10)+*ComCtrls.register+chr(10)+*x.register)+1)
    *s=*menus.RegisterComponents+chr(10)+*Standards.RegisterComponents+chr(10)+*Dummy.Register+chr(10)+*ComCtrls.register+chr(10)+*x.register
    return s
end function
